Subject: [tcpm] [Errata Rejected] RFC5925 (5347)

From: RFC Errata System <[email-masked]>
Date: Wed, 4 Mar 2020 02:35:42 -0800 (PST)

The following errata report has been rejected for RFC5925,
"The TCP Authentication Option".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5347

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Ignacio Goyret <[email-masked]>
Date Reported: 2018-05-03
Rejected by: Mirja Kühlewind (IESG)

Section: 5.1

Original Text
-------------
3. The TCP header, by default including options, and where the TCP
   checksum and TCP-AO MAC fields are set to zero, all in network-
   byte order.

   The TCP option flag of the MKT indicates whether the TCP options
   are included in the MAC.  When included, only the TCP-AO MAC field
   is zeroed.

   When TCP options are not included, all TCP options except for TCP-
   AO are omitted from MAC processing.  Again, the TCP-AO MAC field
   is zeroed for the MAC processing.

Corrected Text
--------------
3. The TCP header and TCP options, where the TCP checksum and TCP-AO
   MAC fields are always set to zero, all in network-byte order.

   The TCP option flag of the MKT indicates which TCP options are
   included in the MAC. When TCP options are not included, only the
   TCP option for TCP-AO (as described in Section 2.2) is included
   in the MAC. Otherwise, all the TCP options are included in the MAC.

Notes
-----
Rewording for clarity and simplification.
The original text could lead to confusion re '...When included, only the TCP-AO MAC field is zeroed.'
 --VERIFIER NOTES-- 
Rejected as the proposed text does not seem fundamentally clearer.

--------------------------------------
RFC5925 (draft-ietf-tcpm-tcp-auth-opt-11)
--------------------------------------
Title               : The TCP Authentication Option
Publication Date    : June 2010
Author(s)           : J. Touch, A. Mankin, R. Bonica
Category            : PROPOSED STANDARD
Source              : TCP Maintenance and Minor Extensions
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 4 Mar 2020 12:20:27 +0100

Hi all,

This errata was discussed on the list some time back. The discussion didn’t converge to an appropriate text, therefore I rejected the errata for now. 

Please simply file a new errata if text was agreed and it is still needed!

Thanks!
Mirja

> On 4. Mar 2020, at 11:35, RFC Errata System <[email-masked]> wrote:
>